lv.lumii.layoutengine

## Enum ArrangeData.ArrangeStyle

- java.lang.Object
- - java.lang.Enum<ArrangeData.ArrangeStyle>
  - - lv.lumii.layoutengine.ArrangeData.ArrangeStyle

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ArrangeData.ArrangeStyle>
  Enclosing class:
    ArrangeData

      public static enum ArrangeData.ArrangeStyle
      extends java.lang.Enum<ArrangeData.ArrangeStyle>

  Lists the possible styles in which to arrange a diagram.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FLOW` Arranges the diagram so that all edges are lie in a single direction (currently, down) as much as possible.
    `INHERITED` Arranged this container using the style of its parent.
    `NONE` Uses the starting element coordinates with as few changes as possible, only normalizing the diagram and fixing any errors.
    `SPRING_EMBEDDED` Arranges the diagram so that its boxes are laid out symmetrically and line length is minimized.
    `UNIVERSAL` This layout arranges boxes universally.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ArrangeData.ArrangeStyle` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ArrangeData.ArrangeStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final ArrangeData.ArrangeStyle NONE

      Uses the starting element coordinates with as few changes as possible, only normalizing the diagram and fixing any errors.

    - #### FLOW

          public static final ArrangeData.ArrangeStyle FLOW

      Arranges the diagram so that all edges are lie in a single direction (currently, down) as much as possible.

    - #### UNIVERSAL

          public static final ArrangeData.ArrangeStyle UNIVERSAL

      This layout arranges boxes universally. (Better description will be here when algorithm will be completed)

    - #### SPRING_EMBEDDED

          public static final ArrangeData.ArrangeStyle SPRING_EMBEDDED

      Arranges the diagram so that its boxes are laid out symmetrically and line length is minimized.

    - #### INHERITED

          public static final ArrangeData.ArrangeStyle INHERITED

      Arranged this container using the style of its parent. A diagram cannot be of this style.

  - ### Method Detail

    - #### values

          public static ArrangeData.ArrangeStyle[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ArrangeData.ArrangeStyle c : ArrangeData.ArrangeStyle.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ArrangeData.ArrangeStyle valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null